GET/callInsights

Get__call Insights

Implementation Notes

This endpoint retrieves API usage statistics based on a specific date or a custom date range.

  • To retrieve the total API calls for a specific day, provide only startDate.
  • To retrieve a daily breakdown of API calls for a specific period, provide both startDate and endDate.

Parameters:

  • startDate: Start date for the insights. Format: YYYY-MM-DD.
  • endDate: End date for the insights. Format: YYYY-MM-DD. If omitted, the request returns insights for the startDate only.

Mandatory Fields:

  • startDate

Optional Fields:

  • endDate
GET/callInsights

Parameter Details

NameInTypeRequiredDescription
startDatequerystring(date)RequiredStart date for the insights. Format: YYYY-MM-DD.
endDatequerystring(date)OptionalEnd date for the insights. Format: YYYY-MM-DD. If omitted, the request returns insights for the startDate only.

Responses

StatusMeaningDescriptionSchema
200OKSuccessful operation
400Bad RequestBad requestNone
401UnauthorizedUnauthorizedNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X GET https://larbar-api.aggregateintelligence.com/callInsights?startDate=2019-08-24 \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
[
  {
    "totalCalls": 32,
    "createdDate": "2026-08-07"
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.